package examples;

import ij.plugin.PlugIn;
import ij.ImagePlus;
import ij.IJ;

import ij3d.Image3DUniverse;
import ij3d.ImageCanvas3D;

import java.awt.Frame;

public class Two_Canvasses implements PlugIn {

	  public static void main(String[] args) {
		    new ij.ImageJ();
		    IJ.runPlugIn("ij3d.examples.Two_Canvasses", "");
	  }

	  public void run(String arg) {

		    // Open a hyperstack
		    String path = "/home/bene/PhD/brains/template.tif";
		    ImagePlus imp = IJ.openImage(path);

		    // Create a universe and show it
		    Image3DUniverse univ = new Image3DUniverse();
		    univ.addVoltex(imp);
		    univ.show();

		    // retrieve some info about the 1st canvas
		    int w = univ.getCanvas().getWidth();
		    int h = univ.getCanvas().getHeight();

		    // Create a new canvas and add it
		    ImageCanvas3D canvas2 = new ImageCanvas3D(w, h, univ.ui);
		    univ.getViewer().getView().addCanvas3D(canvas2);

		    // create a new window, add the canvas and show it
		    Frame f = new Frame();
		    f.add(canvas2);
		    f.pack();
		    f.show();
	  }
}
